CentOS 7 : tomcat (CESA-2017:3081)

Medium Nessus Plugin ID 104257

Synopsis

The remote CentOS host is missing one or more security updates.

Description

An update for tomcat is now available for Red Hat Enterprise Linux 7.

Red Hat Product Security has rated this update as having a security impact of Important. A Common Vulnerability Scoring System (CVSS) base score, which gives a detailed severity rating, is available for each vulnerability from the CVE link(s) in the References section.

Apache Tomcat is a servlet container for the Java Servlet and JavaServer Pages (JSP) technologies.

Security Fix(es) :

* A vulnerability was discovered in Tomcat's handling of pipelined requests when 'Sendfile' was used. If sendfile processing completed quickly, it was possible for the Processor to be added to the processor cache twice. This could lead to invalid responses or information disclosure. (CVE-2017-5647)

* Two vulnerabilities were discovered in Tomcat where if a servlet context was configured with readonly=false and HTTP PUT requests were allowed, an attacker could upload a JSP file to that context and achieve code execution. (CVE-2017-12615, CVE-2017-12617)

* A vulnerability was discovered in Tomcat where the CORS Filter did not send a 'Vary: Origin' HTTP header. This potentially allowed sensitive data to be leaked to other visitors through both client-side and server-side caches. (CVE-2017-7674)

Solution

Update the affected tomcat packages.

See Also

http://www.nessus.org/u?553e146d

Plugin Details

Severity: Medium

ID: 104257

File Name: centos_RHSA-2017-3081.nasl

Version: 3.7

Type: local

Agent: unix

Published: 2017/10/31

Modified: 2018/07/03

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSSv2

Base Score: 6.8

Temporal Score: 5.6

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:F/RL:OF/RC:C

CVSSv3

Base Score: 8.1

Temporal Score: 7.4

Vector: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:F/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:centos:centos:tomcat, p-cpe:/a:centos:centos:tomcat-admin-webapps, p-cpe:/a:centos:centos:tomcat-docs-webapp, p-cpe:/a:centos:centos:tomcat-el-2.2-api, p-cpe:/a:centos:centos:tomcat-javadoc, p-cpe:/a:centos:centos:tomcat-jsp-2.2-api, p-cpe:/a:centos:centos:tomcat-jsvc, p-cpe:/a:centos:centos:tomcat-lib, p-cpe:/a:centos:centos:tomcat-servlet-3.0-api, p-cpe:/a:centos:centos:tomcat-webapps, cpe:/o:centos:centos:7

Required KB Items: Host/local_checks_enabled, Host/CentOS/release, Host/CentOS/rpm-list

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2017/10/30

Exploitable With

CANVAS (CANVAS)

Core Impact

Metasploit (Tomcat RCE via JSP Upload Bypass)

Elliot (Apache Tomcat for Windows HTTP PUT Method File Upload)

Reference Information

CVE: CVE-2017-12615, CVE-2017-12617, CVE-2017-5647, CVE-2017-7674

RHSA: 2017:3081